← Classements

Scotland

West Region League Division 3

#ÉquipePWDLPDBPPtsForme
1Clydebank RFC7511+220628WWDLW
2Paisley RFC4400+202420WWWW
3Moffat RFC5311+83317WWDL
4Waysiders/Drumpellier RFC5203+18311LLWW
5Glasgow University Medics2200+4327WW
6Hyndland RFC4103-4415WLLL
7Clydesdale RFC5104-30710LLLLW
8Isle of Mull RFC4004-18010LLLL
9Isle of Arran RFC2002-3500LL

Source: Scottish Rugby · vérifié 18 oct., 16:20 · Forme : les cinq derniers résultats dont nous disposons, le plus récent à droite.

Matchs et résultats →

Chaque tableau est le classement publié par la ligue elle-même, avec ses bonus, pénalités et départages. BP est affiché quand la ligue le publie ; sinon il est déjà compris dans Pts.